<template>
  <v-col class="planet-detail" v-if="planetData">
    <div class="planet-detail__header">
      <v-img Contain
             class="rounded-circle justify-center"
             :src="require('../../assets/images/planet.png')"
             max-width="300"/>
      <v-chip class="planet-detail__title">
        <span >{{ planetData.name }}</span>
      </v-chip>
    </div>
    <v-timeline>
      <PlanetDetailItem title="Population"
                        :description="`This Planet has ${planetData.population} people as its residents`" />
      <PlanetDetailItem title="Climate"
                        :description="`Climate here is ${planetData.climate}`" />
      <PlanetDetailItem title="Terrain"
                        :description="`${planetData.terrain} is the main type of terrain found here`" />
    </v-timeline>
  </v-col>
</template>

<script lang="ts">
import {PlanetData} from '~/types/types';
import PlanetDetailItem from "~/components/PlanetDetailItem/PlanetDetailItem.vue";
import {ref, useRoute} from "@nuxtjs/composition-api";
import Vue from "vue";
import axios, {AxiosResponse} from "axios";

export default Vue.extend({
  name: "PlanetDetails",
  components: {PlanetDetailItem},

  setup() {
    const route = useRoute();
    const planetData = ref<PlanetData | null>(null);

    const fetchPlanetData = async () => {
      const planetUrl = route.value.query.value as string
      const response = await axios.get(planetUrl) as AxiosResponse<PlanetData>;
      planetData.value = response.data;
    }

    fetchPlanetData()

    return {
      planetData
    }
  }
})
</script>

<style lang="scss" scoped>
.planet-detail {
  &__header {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  &__title {
    margin-top: 20px;
    font-size: 22px;
    padding: 24px 30px;;
    border-radius: 24px;
    font-weight: bold;
    background-color:#f6f0ed !important;
    color: #88765d;
    :hover{
      color: inherit;
    }
  }

}

</style>
